Texa DeskDevelopers

Texa Desk Application API · Automation rule

Update automation rule in Account

PATCH/api/v1/accounts/{account_id}/automation_rules/{id}

Update a automation rule in account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the Automation Rule

idintegerrequired

The ID of the automation rule to be updated.

Body application/json

namestring

Rule name

descriptionstring

The description about the automation and actions

event_namestring

The event when you want to execute the automation actions One of: conversation_created, conversation_updated, conversation_resolved, message_created.

activeboolean

Enable/disable automation rule

actionsarray of object

Array of actions which you want to perform when condition matches, e.g add label support if message contains content help.

conditionsarray of object

Array of conditions on which conversation filter would work, e.g message content contains text help.

Responses

200

Success

payloadarray of object or object

Response payload that contains automation rule(s)

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Rule not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring